Bug 973904 - Review Request: libserf - High-Performance Asynchronous HTTP Client Library
Review Request: libserf - High-Performance Asynchronous HTTP Client Library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 01:47 EDT by Christopher Meng
Modified: 2014-02-24 08:15 EST (History)
4 users (show)

See Also:
Fixed In Version: libserf-1.2.1-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-26 21:52:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
review.txt (8.68 KB, text/plain)
2013-06-15 09:56 EDT, Remi Collet
no flags Details

  None (edit)
Description Christopher Meng 2013-06-13 01:47:27 EDT
Spec URL: http://cicku.me/libserf.spec 
SRPM URL: http://cicku.me/libserf-1.2.1-1.fc20.src.rpm
Description: The serf library is a C-based HTTP client library built upon the Apache Portable Runtime (APR) library. It multiplexes connections, running the
read/write communication asynchronously. Memory copies and transformations are
kept to a minimum to provide high performance operation.
Fedora Account System Username: cicku

NOOOOOTE: This package actually contains a patch which just applied by upstream, but I dropped it as this patch seems not important in Fedora, we can build with gssapi support without this patch.
Comment 1 Remi Collet 2013-06-13 02:48:57 EDT
QUick notes:

%package -n     devel

Need to remove the -n

BuildRequires:

Why openldap-devel (don't see any ldap stuff in this package, no lber.h, ldap.h or ldif.h include)
Why expat-devel... (no expat.h include)

=> Ok, both are used in the result .so but can probably be omitted, no include of the provided headers, and will be pulled by apr.

Auto dependencies are broken.
Setting right to 755 the library should solves this.

%files
%{_libdir}/*.so.*

I don't really like too large wildcard.
%{_libdir}/libserf-1.so.0*

As this is more explicit, it will also help to detect any soname change.
Comment 2 Christopher Meng 2013-06-13 02:56:40 EDT
(In reply to Remi Collet from comment #1)
> QUick notes:
> 
> %package -n     devel
> 
> Need to remove the -n

Fixed.

> BuildRequires:
> 
> Why openldap-devel (don't see any ldap stuff in this package, no lber.h,
> ldap.h or ldif.h include)
> Why expat-devel... (no expat.h include)
> 
> => Ok, both are used in the result .so but can probably be omitted, no
> include of the provided headers, and will be pulled by apr.

Removed.

> Auto dependencies are broken.
> Setting right to 755 the library should solves this.

Which library?
Comment 3 Remi Collet 2013-06-13 03:00:31 EDT
> Which library?
"the" library. AFAIK there is only one in this package... (libserf-1.so.0.0.0)
Comment 4 Christopher Meng 2013-06-13 07:02:20 EDT
(In reply to Remi Collet from comment #3)
> > Which library?
> "the" library. AFAIK there is only one in this package...
> (libserf-1.so.0.0.0)

Fixed by changing to -rwxr-xr-x.

NEW SPEC URL: http://cicku.me/libserf.spec 
NEW SRPM URL: http://cicku.me/libserf-1.2.1-2.fc20.src.rpm
Comment 5 Remi Collet 2013-06-15 09:56:32 EDT
Created attachment 761575 [details]
review.txt

Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 973904
Comment 6 Remi Collet 2013-06-15 09:57:21 EDT
No blocker.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5506292

== APPROVED ===
Comment 7 Christopher Meng 2013-06-15 11:20:07 EDT
(In reply to Remi Collet from comment #6)
> No blocker.
> 
> Koji scratch build:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=5506292
> 
> == APPROVED ===

Although no blocker, I will try fixing the unused-direct-shlib-dependency warnings via wiki hints.

New Package SCM Request
=======================
Package Name: libserf
Short Description: High-Performance Asynchronous HTTP Client Library
Owners: cicku
Branches: f18 f19
InitialCC:
Comment 8 Gwyn Ciesla 2013-06-15 12:20:21 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-06-15 23:30:28 EDT
libserf-1.2.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libserf-1.2.1-2.fc19
Comment 10 Fedora Update System 2013-06-15 23:47:10 EDT
libserf-1.2.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libserf-1.2.1-2.fc18
Comment 11 Christopher Meng 2013-06-16 01:43:41 EDT
Package Change Request
======================
Package Name: libserf
New Branches: el6
Owners: cicku
Comment 12 Remi Collet 2013-06-16 02:32:53 EDT
Sorry for this coming late.

It will be great to not put headers directly in /usr/include, but in a sub directory.

To be in sync with debian packaging, I propose to use "serf-1"

Notice : this is where pecl_http for example look for them
(which it's stupid, I agree, should use pkg-config output )

Changes:
%configure --includedir=%{_includedir}/%{oname}-1 --with-gssapi=%{_prefix}

%files devel
%{_includedir}/%{oname}-1
Comment 13 Christopher Meng 2013-06-16 02:39:11 EDT
(In reply to Remi Collet from comment #12)
> Sorry for this coming late.
> 
> It will be great to not put headers directly in /usr/include, but in a sub
> directory.

Hi,

Can you patch the pecl_http to get it worked?

It's OK to install libserf into subdir. But I don't know why take this name "serf-1"?

I know this weird name since packaging it..It's a confusion. Why should we name it "serf-1", even "serf" is better than that name... Or maybe I'm wrong. But whatever, should we open a new thread on packaging list? I want to know others' ideas.

Thanks.
Comment 14 Remi Collet 2013-06-16 02:55:16 EDT
(In reply to Christopher Meng from comment #13)
> (In reply to Remi Collet from comment #12)
> > Sorry for this coming late.
> > 
> > It will be great to not put headers directly in /usr/include, but in a sub
> > directory.
> 
> Hi,
> 
> Can you patch the pecl_http to get it worked?

Yes, of course (for now libserf is not used yet by pecl_http, just in the dev tree)

> It's OK to install libserf into subdir. But I don't know why take this name
> "serf-1"?

very probably from library name (libserf-1)
pkfconfig file is also serf-1.pc


> I know this weird name since packaging it..It's a confusion. Why should we
> name it "serf-1", even "serf" is better than that name... Or maybe I'm
> wrong.

yes, another name could be used.
sometime being in sync with other distro, which have this lib for a long time, is a good practice (note, debian have both serf-0 and serf-1)

Using a "versionned" directory allow to have 2 major version installed at the same time (if needed). Look in /usr/include, a lot of already exists.

> But whatever, should we open a new thread on packaging list? I want
> to know others' ideas.

I you want

> Thanks.
Comment 15 Fedora Update System 2013-06-16 13:28:27 EDT
libserf-1.2.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libserf-1.2.1-3.fc18
Comment 16 Fedora Update System 2013-06-16 13:36:51 EDT
libserf-1.2.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libserf-1.2.1-3.fc19
Comment 17 Gwyn Ciesla 2013-06-17 08:29:32 EDT
Git done (by process-git-requests).
Comment 18 Fedora Update System 2013-06-17 13:01:44 EDT
Package libserf-1.2.1-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libserf-1.2.1-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11042/libserf-1.2.1-3.fc19
then log in and leave karma (feedback).
Comment 19 Fedora Update System 2013-06-19 01:47:26 EDT
libserf-1.2.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libserf-1.2.1-3.el6
Comment 20 Fedora Update System 2013-06-26 21:52:02 EDT
libserf-1.2.1-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2013-06-29 14:41:13 EDT
libserf-1.2.1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2013-07-06 14:00:24 EDT
libserf-1.2.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 23 Christopher Meng 2014-02-23 10:08:33 EST
Package Change Request
======================
Package Name: libserf
New Branches: epel7
Owners: cicku jorton
Comment 24 Gwyn Ciesla 2014-02-24 08:15:34 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.